Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157952 - httpd piped logging fd leak, graceful restart handling
Summary: httpd piped logging fd leak, graceful restart handling
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: httpd
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Joe Orton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 156322
TreeView+ depends on / blocked
 
Reported: 2005-05-17 12:46 UTC by Joe Orton
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHBA-2005-622
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-05 15:38:00 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:622 qe-ready SHIPPED_LIVE httpd bug fix update 2005-10-05 04:00:00 UTC

Description Joe Orton 2005-05-17 12:46:14 UTC
Two piped logging bugs filed against RHEL3 (bug 157832, bug 127981) also affect
httpd in RHEL4:

1. there is an fd leak when spawning piped loggers, which can eventually use up
all fds e.g. prevent new piped loggers from starting, etc.  (bug 157832)

2. the "read" end of the pipe created to a piped logger is not closed.  During a
graceful restart, after the httpd parent kills a piped logger helper, the pipe
is never closed since each child has both ends of the pipe open.  When a
lingering child writes log entries to the pipe, it will then hang once the pipe
buffer fills up, since nobody is reading from the other end.  (bug 127981)

Comment 5 Red Hat Bugzilla 2005-10-05 15:38:00 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-622.html



Note You need to log in before you can comment on or make changes to this bug.